Asset Comments
4 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
List comments for an item#
GET
/spaces/{spaceId}/lists/items/{itemId}/commentsTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
itemIdPflicht | Pfad | string | – |
spaceIdPflicht | Pfad | any | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/items/{itemId}/comments" \
-H "Authorization: Bearer $XISUITE_TOKEN"Create a comment#
POST
/spaces/{spaceId}/lists/items/{itemId}/commentsTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
itemIdPflicht | Pfad | string | – |
spaceIdPflicht | Pfad | any | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
contentPflicht | string | – |
Antworten
- 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/items/{itemId}/comments" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"content":"…"}'Update a comment#
PUT
/spaces/{spaceId}/lists/items/{itemId}/comments/{commentId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
itemIdPflicht | Pfad | string | – |
commentIdPflicht | Pfad | string | – |
spaceIdPflicht | Pfad | any | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
contentPflicht | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/items/{itemId}/comments/{commentId}" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"content":"…"}'Delete a comment#
DELETE
/spaces/{spaceId}/lists/items/{itemId}/comments/{commentId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
itemIdPflicht | Pfad | string | – |
commentIdPflicht | Pfad | string | – |
spaceIdPflicht | Pfad | any | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/items/{itemId}/comments/{commentId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"